Get artifacts by commit SHA
curl --request GET \
--url https://app.kosli.com/api/v2/artifacts/{org}/{flow_name}/commit_sha/{commit_sha} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/artifacts/{org}/{flow_name}/commit_sha/{commit_sha}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/artifacts/{org}/{flow_name}/commit_sha/{commit_sha}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"fingerprint": "<string>",
"filename": "<string>",
"created_at": "<string>",
"last_modified_at": "<string>",
"evidence": {},
"flow_name": "<string>",
"commit_lead_times": {},
"build_lead_times": {},
"trail_name": "<string>",
"template_reference_name": "<string>",
"git_commit": "<string>",
"git_commit_info": {
"sha1": "<string>",
"message": "<string>",
"author": "<string>",
"author_username": "<string>",
"branch": "<string>",
"timestamp": 123,
"url": "<string>",
"parents": [
"<string>"
],
"verified": true,
"signature_state": "<string>"
},
"repo_info": {
"name": "<string>",
"url": "<string>",
"id": "<string>",
"description": "<string>",
"provider": "github",
"vcs_instance": "<string>",
"namespace_path": [
"<string>"
],
"additional_info": {},
"short_name": "<string>"
},
"commit_url": "<string>",
"build_url": "<string>",
"repo_url": "<string>",
"html_url": "<string>",
"api_url": "<string>",
"user_data": null,
"external_urls": {},
"annotations": {},
"state": "COMPLIANT",
"template": [
"<string>"
],
"state_info": "<string>",
"running": [
"<unknown>"
],
"exited": [
"<unknown>"
],
"history": [
"<unknown>"
]
}
]{
"message": "Flow not found"
}Get artifacts by commit SHA
Get artifact by commit sha.
GET
/
artifacts
/
{org}
/
{flow_name}
/
commit_sha
/
{commit_sha}
Get artifacts by commit SHA
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$Query Parameters
The name of the trail the artifact was reported to.
Response
Successful Response
Pattern:
^[a-f0-9]{64}$Show child attributes
Show child attributes
Pattern:
^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$Pattern:
^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$Pattern:
^[a-zA-Z0-9\-_]+$Pattern:
^[a-f0-9]{40}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
COMPLIANT, NON-COMPLIANT, INCOMPLETE Last modified on July 29, 2026